{% extends 'base.html.twig'%}

{% block stylesheets %}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ asset('css/style.css') }}">
{% endblock %}


{% block body %}
    {% include 'shared/nav.html.html.twig' %}
    <!-- Page content-->
    <div class="container">
        <div class="text-center mt-5 mb-5">
            <h1>{%block pageTitle %} {% endblock %}</h1>
        </div>

        <div>
            {% block content %}{% endblock %}
        </div>
    </div>
{% endblock body %}

{% block javascripts %}
    {{ parent() }}
    <script>
        $(document).ready(function () {

            $($('.add-another-collection-widget').attr('data-list-selector'))
                .find('.existantPhotos').append(createButton());

            $('.add-another-collection-widget').click(function (e) {
                var list = $($(this).attr('data-list-selector'));
                // Try to find the counter of the list or use the length of the list
                var counter = list.data('widget-counter') || list.children().length;

                // grab the prototype template
                var newWidget = list.attr('data-prototype');
                // replace the "__name__" used in the id and name of the prototype
                // with a number that's unique to your photos
                // end name attribute looks like name="contact[photo][2]"
                newWidget = newWidget.replace(/__name__/g, counter);
                // Increase the counter
                counter++;
                // And store it, the length cannot be used if deleting widgets is allowed
                list.data('widget-counter', counter);

                // create a new list element and add it to the list
                var newElem = $(list.attr('data-widget-tags')).html(newWidget);
                var button = createButton();
                newElem.find('input').after(button);

                newElem.appendTo(list);
            });


        });

        function createButton() {
            var button = $('<button class="btn btn-danger removeElement" type="button">-</button>');
            button.click(function(e) {
                $(this).parents('li').remove();
            });
            return button;
        }

    </script>

{% endblock javascripts %}
